com.brightcove.player.video360

## Class SphericalSceneRenderer

- java.lang.Object
- - com.brightcove.player.video360.SphericalSceneRenderer

-     public class SphericalSceneRenderer
      extends java.lang.Object

  Creates and renders a sphere centered at (0, 0, 0) textured with the current video frame.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SPHERE_SLICES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SphericalSceneRenderer(android.content.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isVrMode()` Checks whether the renderer is currently configured to render the video in Google VR mode.
    `void` | `onDrawFrame(int textureId, float[] textureMatrix, float[] modelMatrix, float[] viewMatrix, float[] projectionMatrix)`
    `void` | `release()`
    `void` | `setVrMode(boolean vrMode)` Sets whether the renderer should render the video in Google VR mode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPHERE_SLICES

          public static final int SPHERE_SLICES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SphericalSceneRenderer

          public SphericalSceneRenderer(android.content.Context context)

  - ### Method Detail

    - #### isVrMode

          public boolean isVrMode()

      Checks whether the renderer is currently configured to render the video in Google VR mode.
      Returns:
        true if Google VR mode is enabled, otherwise false.
      See Also:
        `setVrMode(boolean)`

    - #### setVrMode

          public void setVrMode(boolean vrMode)

      Sets whether the renderer should render the video in Google VR mode.
      Parameters:
        `vrMode` - true if Google VR mode should be enabled, otherwise false.
      See Also:
        `isVrMode()`

    - #### onDrawFrame

          public void onDrawFrame(int textureId,
                                  float[] textureMatrix,
                                  float[] modelMatrix,
                                  float[] viewMatrix,
                                  float[] projectionMatrix)

    - #### release

          public void release()